> ## Documentation Index
> Fetch the complete documentation index at: https://gproxy.leenhawk.com/llms.txt
> Use this file to discover all available pages before exploring further.

# GET /admin/api/quotas/status



## OpenAPI

````yaml /generated/openapi.json get /admin/api/quotas/status
openapi: 3.1.0
info:
  description: >-
    Forwarding, management, portal and OAuth APIs generated from Rust types.
    Input and output schemas preserve their respective Serde contracts.
    Streaming events and WebSocket messages are documented alongside HTTP
    payloads.
  title: GPROXY HTTP API
  version: 4.2.1
servers: []
security:
  - bearer: []
  - anthropicKey: []
  - googleKey: []
  - queryKey: []
paths:
  /admin/api/quotas/status:
    get:
      tags:
        - Management
      summary: GET /admin/api/quotas/status
      parameters:
        - description: ''
          in: query
          name: owners
          required: false
          schema:
            default: ''
            type: string
        - description: Administrative scope selected by the caller.
          in: header
          name: x-gproxy-admin-scope
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/Output_BudgetStatusDto'
                type: array
          description: Success
        default:
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Output_Envelope'
          description: Gateway error
      security:
        - consoleSession: []
        - bearer: []
        - anthropicKey: []
        - googleKey: []
components:
  schemas:
    Output_BudgetStatusDto:
      description: A caller budget's current window.
      properties:
        endsAtMs:
          format: int64
          type:
            - integer
            - 'null'
        limit:
          type: string
        modelPattern:
          type:
            - string
            - 'null'
        ownerId:
          type: string
        ownerKind:
          type: string
        period:
          type: string
        quotaId:
          type: string
        resetsAtMs:
          format: int64
          type:
            - integer
            - 'null'
        startsAtMs:
          format: int64
          type: integer
        unit:
          type: string
        used:
          type: string
        windowId:
          type: string
        windowKey:
          type: string
      required:
        - quotaId
        - ownerKind
        - ownerId
        - windowKey
        - period
        - modelPattern
        - unit
        - limit
        - used
        - windowId
        - startsAtMs
        - endsAtMs
        - resetsAtMs
      type: object
    Output_Envelope:
      properties:
        error:
          $ref: '#/components/schemas/Output_EnvelopeBody'
      required:
        - error
      type: object
    Output_EnvelopeBody:
      properties:
        code:
          type: string
        message:
          type: string
      required:
        - code
        - message
      type: object
  securitySchemes:
    bearer:
      scheme: bearer
      type: http
    anthropicKey:
      in: header
      name: x-api-key
      type: apiKey
    googleKey:
      in: header
      name: x-goog-api-key
      type: apiKey
    queryKey:
      in: query
      name: key
      type: apiKey
    consoleSession:
      in: cookie
      name: gproxy_session
      type: apiKey

````

## Related topics

- [GET /admin/api/quotas](https://gproxy.leenhawk.com/api-reference/management/get-adminapiquotas.md)
- [GET /admin/api/quotas/{id}](https://gproxy.leenhawk.com/api-reference/management/get-adminapiquotas-1.md)
- [GET /admin/api/credentials/{id}/quota](https://gproxy.leenhawk.com/api-reference/management/get-adminapicredentials-quota.md)
- [GET /admin/api/credentials/{id}/quota-observations](https://gproxy.leenhawk.com/api-reference/management/get-adminapicredentials-quota-observations.md)
- [GET /admin/api/credentials/{id}/quota-reset-credits](https://gproxy.leenhawk.com/api-reference/management/get-adminapicredentials-quota-reset-credits.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.